Page MenuHomePhabricator

Implement 'Announce a new issue' feature for Newsletter extension
Closed, ResolvedPublic

Description

Announce a new issue

  1. Publisher needs to be prepared with a new wiki page - a subpage to Newsletter homepage preferred.
  2. Go to Special:NewsletterManage
  3. Give name of newsletter and title of main page of issue ( which he created in step 1 )
  4. Clicking on 'Announce issue' button should send echo notifications to subscribers (after implementing T101546)

Related Patchset
https://gerrit.wikimedia.org/r/#/c/216546/

End result

To view the implementation, go here

Note: Both 'Create Newsletter' and 'Announce issue' features are implemented by the same patch.

Related Objects

Event Timeline

Tinaj1234 claimed this task.
Tinaj1234 raised the priority of this task from to High.
Tinaj1234 updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 11:23 AM
Tinaj1234 updated the task description. (Show Details)Jun 18 2015, 3:05 AM
Tinaj1234 set Security to None.
Tinaj1234 lowered the priority of this task from High to Low.Jun 18 2015, 10:44 AM

I wont close this as of now, as 'sending an Echo notification' on clicking 'Announce Issue' is not yet implemented.

Qgil added a subscriber: Qgil.Jun 20 2015, 9:03 AM

Hard to test without having subscribers or even a page to browse newsletters. In practice, this task is blocked by T100492.

Tinaj1234 updated the task description. (Show Details)Jun 23 2015, 1:43 PM
Qgil added a comment.Jun 23 2015, 7:47 PM

The features seem to be in place, except one:

Clicking on 'Announce issue' button should send echo notifications to subscribers.

Have you received any notification? I'm not getting any, via web or email. May it has something to do with T103588: Internal error when accessing user Preferences in Newsletter's Labs instance?

Qgil added a comment.Jun 23 2015, 7:53 PM

Ah, wait, receiving notifications is covered in T101546: Implement 'Receiving notifications from subscribed newsletters' feature for Newsletter extension. Editing this task accordingly.

Well, then this task seems to be completed... although without receiving notifications it is difficult to test it and be sure.

Qgil closed this task as Resolved.Jun 26 2015, 8:23 PM

This works and can be tested with notifications.